/*===========================================================
*	IWMask.inc
*	IWMask Library Include  File
*	Copyright (c)T.L. McCaughn 2013 
*============================================================*/

	$USE "IWMask.lib"					
	DECLARE EXTERN IWM_Create(WINDOW win, UINT id, INT l, INT t, INT w, INT h, int flags, string mask, string placeholder, opt string text="")
	DECLARE EXTERN IWMF_Create(WINDOW win, UINT id, INT l, INT t, INT w, INT h, int flags, string symbol, opt string text="")
	DECLARE EXTERN IWM_GetFullText(WINDOW win, UINT id),string
	DECLARE EXTERN IWM_GetMinText(WINDOW win, UINT id),string
	DECLARE EXTERN IWM_GetRawText(WINDOW win, UINT id),string
	DECLARE EXTERN IWM_SetText(WINDOW win, UINT id,string text)
	DECLARE EXTERN IWM_SetReadOnly(WINDOW win, UINT id,int ro)
	DECLARE EXTERN IWM_SetRightAlign(WINDOW win, UINT id,int ra)
	DECLARE EXTERN IWMF_SetNoShowSeparator(WINDOW win, UINT id,int sep)
	DECLARE EXTERN IWMF_SetNoSymbol(WINDOW win, UINT id,int sym)
	DECLARE EXTERN IWMF_SetSymbol(WINDOW win, UINT id,string symbol)
	DECLARE EXTERN IWMF_SetNoAutoDecimal(WINDOW win, UINT id,int ad)
	DECLARE EXTERN IWMF_SetNegMinus(WINDOW win, UINT id,int ni)
	DECLARE EXTERN IWMF_SetRoundDecimal(WINDOW win, UINT id,int rd)
	DECLARE EXTERN IWMF_SetDecimalPlaces(WINDOW win, UINT id,int dp)
	DECLARE EXTERN IWM_SetChangeCallback(WINDOW win, UINT id, UINT callback)
	DECLARE EXTERN IWM_SetReturnCallback(WINDOW win, UINT id, UINT callback)
	DECLARE EXTERN IWM_SetLostFocusCallback(WINDOW win, UINT id, UINT callback)
	DECLARE EXTERN IWM_SetBadInputCallback(WINDOW win, UINT id, UINT callback)
	DECLARE EXTERN IWM_SetTabCallback(WINDOW win, UINT id, uint callback)
	DECLARE EXTERN IWM_SetShiftTabCallback(WINDOW win, UINT id, uint callback)
	SETID "IWM_READONLY", 0x1			' ReadyOnly
	SETID "IWM_ALIGNRIGHT", 0x2		' AlignRight
	SETID "IWM_ALIGNLEFT", 0x4			' AlignLeft
	SETID "IWMF_NOSHOWSEPERATOR", 0x8	' FShowSeparator   		
	SETID "IWMF_NOAUTODECIMAL", 0x10		'  FAutoDecimal   			
	SETID "IWMF_USEMINUS", 0x20			' FNegativeAsParan   		
	SETID "IWMF_ROUNDDEC", 0x40		' FRoundTruncatedDecimals
	SETID "IWMF_NOSYMBOL", 0x80